body {
    display: flex;
    align-items: center;
    font-family: sans-serif;
    gap: 20px;
    background-color: #330033;
    background-color: #ffffff;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='100%25' height='100%25' %3E%3Cdefs%3E%3ClinearGradient id='a' x1='0' x2='0' y1='0' y2='1'%3E%3Cstop offset='0' stop-color='%2380F'/%3E%3Cstop offset='1' stop-color='%23f40'/%3E%3C/linearGradient%3E%3C/defs%3E%3Cpattern id='b' width='24' height='24' patternUnits='userSpaceOnUse'%3E%3Ccircle fill='%23ffffff' cx='12' cy='12' r='12'/%3E%3C/pattern%3E%3Crect width='100%25' height='100%25' fill='url(%23a)'/%3E%3Crect width='100%25' height='100%25' fill='url(%23b)' fill-opacity='0.1'/%3E%3C/svg%3E");
    background-attachment: fixed;
    
  }
h1 {
margin-bottom: 1rem;
}
.board {
display: grid;
grid-template-columns: repeat(3, 120px);
gap: 20px;
}

/* .cell {
width: 120px;
height: 120px;
display: flex;
align-items: center;
justify-content: center;
font-size: 1.5rem;
border: 1px solid #333;
cursor: pointer;
} */

.cell {
    position: relative;
    display: flex; 
    justify-content: center; 
    align-items: center;
    width: 120px;
    height: 120px;
    text-align: center;
    background: #333;
    border-radius: 25%;
    font-size: 30px;
    color: hsla(60, 56%, 91%, 1);
    transition: 0.5s;
}

.cell::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 25%;
    background: #ffee10;
    transition: .5s;
    transform: scale(.9);
    z-index: -1;
}

.cell:hover::before {
    transform: scale(1.1);
    box-shadow: 0 0 15px #ffee10;
}

.cell:hover {
    color: #ffee10;
    box-shadow: 0 0 5px #ffee10;
    text-shadow: 0 0 5px #ffee10;
  }

.controls {
    display: flex;
    flex-direction: column;
    width: 100%;
    justify-content: center;
    align-items: center;
    gap: 50px;
    justify-content: space-evenly;
}

.controls-wrapper {
display: flex;
flex: 1 1 30%;
height: 50vh;
margin-top: 1rem;
background-color: hsla(60, 56%, 91%, 0.60);
border-radius: 20px;
}

.info-display {
display: flex;
flex: 1 1 30%;
flex-direction: column;
height: 50vh;
margin-top: 1rem;
justify-content: center;
background-color: hsla(60, 56%, 91%, 0.60);
border-radius: 20px;
align-items: center;

}

.game-display-wrapper {
display: flex;
flex: 2 1 40%;
flex-direction: column;
height: 50vh;
justify-content: center;
align-items: center;
}


#reset-btn {
  padding: 15px 30px;
  text-align: center;
  text-transform: uppercase;
  transition: 0.5s;
  background-size: 200% auto;
  color: white;
  border-radius: 10px;
  display: block;
  border: 0px;
  font-weight: 700;
  box-shadow: 0px 0px 14px -7px #da15d0;
  background-image: linear-gradient(45deg, #8c19a8 0%, #da15d0  51%, #8c19a8  100%);
  cursor: pointer;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  font-size: 28px;
}

#reset-btn:hover {
  background-position: right center;
  /* change the direction of the change here */
  color: #fff;
  text-decoration: none;
}

#reset-btn:active {
  transform: scale(0.95);
}


.x-color {
  color: rgb(212, 36, 23);
}

.o-color {
  color: hsl(120, 90%, 42%)
}


@keyframes flickerAnimation {
  0%   { opacity:1; }
  50%  { opacity:0; }
  100% { opacity:1; }
}
@-o-keyframes flickerAnimation{
  0%   { opacity:1; }
  50%  { opacity:0; }
  100% { opacity:1; }
}
@-moz-keyframes flickerAnimation{
  0%   { opacity:1; }
  50%  { opacity:0; }
  100% { opacity:1; }
}
@-webkit-keyframes flickerAnimation{
  0%   { opacity:1; }
  50%  { opacity:0; }
  100% { opacity:1; }
}
.animate-flicker {
   -webkit-animation: flickerAnimation .9s infinite;
   -moz-animation: flickerAnimation .9s infinite;
   -o-animation: flickerAnimation .9s infinite;
    animation: flickerAnimation .9s infinite;
}

.px-points {
  display: flex;
  flex-direction: column;
  width: 100%;
  align-items: center;
}

.po-points {
  display: flex;
  flex-direction: column;
  width: 100%;
  align-items: center;
}


#px-name-btn, #po-name-btn {
  padding: 15px 30px;
  text-align: center;
  text-transform: uppercase;
  transition: 0.5s;
  background-size: 200% auto;
  color: white;
  border-radius: 10px;
  display: block;
  border: 0px;
  font-weight: 700;
  box-shadow: 0px 0px 14px -7px #da15d0;
  background-image: linear-gradient(45deg, #8c19a8 0%, #da15d0  51%, #8c19a8  100%);
  cursor: pointer;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
}

#px-name-btn:hover, #po-name-btn:hover {
  background-position: right center;
  /* change the direction of the change here */
  color: #fff;
  text-decoration: none;
} 






